function get_mats_fig2(m)
%written for cluster, with string input
%usage for k=1:1800
%            get_res-fig2(str(k)) 
%      end
% output fig2_*.mat contain all A_lambda for lambda=1,0.1,...,10^-14

RT60=250;
Ts=100*(1:30);
md=str2num(m);

[iks snr wv]=ind2sub([6 30 10],md);

T=5*Ts(snr);
load('3sources_250ms_1m_filt')
Aind=A;
clear A;
wvstr=int2str(wv+10);
for k=1:3
  ks = num2str(k);
  s = wavread(['mix' wvstr '_s' ks '.wav']);
  Sinf(k,:) =  s(1:T)';
end
X = creation_mel_conv(Aind,Sinf);


pena=iks;
kuser=100;
[hatA hatAs]=A_welasso_6pen(RT60,Aind,X,Sinf,pena);
save(strcat('fig2_',m))

end