
close all

fss=11.012;
load res-fig2_
width=300;
height=180;

theFigure=figure(1)
position=get(theFigure,'PaperPosition');
position(3)=width; position(4)=height;
set(theFigure,'PaperUnits','points');
set(theFigure,'PaperPosition',position);
set(gca,'FontSize',8)
resA=mean(resA,3);
resX=mean(resX,3);
Ts=5*Ts/fss
plot(Ts,resA(1,:),'k')
hold on
plot(Ts,resA(2,:),'k--')
hold on
plot(Ts,resA(3,:),'Color',[.66 .66 .66])
hold on
plot(Ts,resA(4,:),'--','Color',[.66 .66 .66])
hold on
plot(Ts,resA(5,:),':','Color',[.4 .4 .4])
hold on
plot(Ts,resA(6,:),'-.k')
hold on
axis([500/fss 15000/fss -40 70])
Tc=5507;
plot([Tc/fss Tc/fss],[-40 80],'Color',[.4 .4 .4]) 
tun=text((Tc+2300)/fss,65,'surdtermin','FontSize',8,'FontName','Times')
tdeux=text(800/fss,65,'sous-dtermin ','FontSize',8,'FontName','Times')

text(Tc/fss,50,'\leftarrow {\itT}_c','FontSize',8,'FontName','Times')
xlabel('Longueur {\itT} des sources (ms)','FontSize',8,'FontName','Times')
ylabel('SNR_A^{out} (dB)','FontSize',8,'FontName','Times')

h_legend=legend('{\itP}_1','{\itP}_2','{\itP}_3','{\itP}_4','{\itP}_5','naf','Location','SouthEast')
set(h_legend,'FontSize',8,'FontName','Times');
print(1,'-depsc2','fig2.eps')
