function x = seuildoux(y,t)
% Seuillage doux pour les nombre réels
%  Usage 
%    x = seuildoux(y,t)
%  Inputs 
%    y     Data 
%    t     Threshold
%  Outputs 
%    x     sign(y)(|y|-t)_+
%


res=(abs(y)-t);
x=sign(y).*res.*(res>0);


% Written by Alexis Benichoux, 2011

