close all
clear all
fss=11.012;
load res-fig3_

Ts=Ts/fss
resa1=reshape(mean(resA(:,1,:,:),4),6,30);
resa2=reshape(mean(resA(:,2,:,:),4),6,30);
plot(Ts,resa1(1,:),'k')
hold on
plot(Ts,resa2(1,:),'--','Color',[.66 .66 .66])
hold on

mleg=legend('{\itP}_1','{\itP}_4','Location','SouthEast')
l='k-'
ar=plot(Ts,resa1(4,:),l)%,'LineWidth',0.4)
hold on
plot(Ts,resa1(5,:),l)%,'LineWidth',0.3)
hold on
plot(Ts,resa1(6,:),l)%,'LineWidth',0.2)
hold on
plot(Ts,resa1(2,:),l)%,'LineWidth',0.1)
hold on
plot(Ts,resa1(3,:),l)%,'LineWidth',0.1)
hold on
l='--';
plot(Ts,resa2(4,:),'--','Color',[.66 .66 .66])%,'LineWidth',0.1)
hold on

plot(Ts,resa2(5,:),l,'Color',[.66 .66 .66])%,'LineWidth',0.2)
hold on

plot(Ts,resa2(6,:),l,'Color',[.66 .66 .66])%,'LineWidth',0.1)
hold on
plot(Ts,resa2(2,:),l,'Color',[.66 .66 .66])%,'LineWidth',0.1)
hold on
plot(Ts,resa2(3,:),l,'Color',[.66 .66 .66])%,'LineWidth',0.1)
hold on

bas=-10;
haut=55;
axis([500/fss 15000/fss bas haut])
Tc=5507;
plot([Tc/fss Tc/fss],[bas haut],'Color',[.4 .4 .4]) 
tun=text((Tc+2300)/fss,haut-5,'surdtermin','FontSize',8,'FontName','Times')
tdeux=text(800/fss,haut-5,'sous-dtermin ','FontSize',8,'FontName','Times')

text(Tc/fss,50,'\leftarrow {\itT}_c','FontSize',8,'FontName','Times')
xlabel('Dure {\itT} des sources (ms)','FontSize',8,'FontName','Times')
ylabel('SNR_A^{out} (dB)','FontSize',8,'FontName','Times')

