function srra=SRRA(A0,A1)
%performs signal to noise ratio (18)
%			\SNRA(\A1)=10\log_{10}\frac{\nn{\A0}}{\nn{ \A1-\A0}}.
%
% Input 
%		A0   reference filter
%		A1	 estimated filter
% Output
%		srr  signal to noise ratio

r=(A0(:)-A1(:));
s=sum(r.*r);
s0=sum(A0(:).*A0(:));
srra=10*log10(s0/s);


end

% Written by Alexis Benichoux, 2011